<!DOCTYPE html>
<html lang="eu"> <!-- Webgunearen hizkuntza definitu -->

<head> <!-- Webgunearen metadatuak-->
  <meta charset="utf-8"> <!-- Webgunearen kodifikazioa -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- Webgunea responsive izateko-->
  <title>HTML ariketa</title> <!-- Lehioaren/fitxaren tituloa -->
  <link rel="icon" href="https://picsum.photos/id/237/32" type="image/jpeg">/>
  <!-- fitxako izenburuaren aurretik agertuko den ikonoa. -->
</head>

<body> <!-- Webgunearen edukia -->
  <header> <!-- Webgunearen goiburua -->
    <h1>Alain Perez Riaño</h1><!-- Webgunearen izenburua-->
    <nav> <!-- Nabigazio-estekak eukiko dituen orri atala (barru eta kanpo estekekin) -->
      <a href="html-ariketa-highlighted.html">Berne esteka</a> | <!-- Webune berdineko beste dokumentu .html batera joateko-->
      <a href="http://www.mondragon.edu">Kanpo esteka</a> | <!-- Beste webgune batera joateko -->
      <a href="http://www.mondragon.edu" target="_blank">Kanpo esteka fitxa berri baten</a> |
      <!-- Target atributua webgunea non irekitze den esaten dio nabigatzaileari (_blank -> fitxa berri batean)-->
      <a href="#achievements">ID batera joan</a> 
      <!-- Dokumentuako atal batera joateko. Nora joan behar den ID atributuarekin definitzen da-->
    </nav>
  </header>
  <main> <!-- Webgunearen eduki nagusia (header/footer-etik bereizteko) -->
    <section> <!-- Edukiaren lehenengo atala -->
      <h2>Janari gogokoenak</h2> <!-- Atalaren izenburua-->
      <ul> <!-- Zerrenda bat (zenbakirik gabe gabe). Zenbakiekin nahi bada "ol" erabili -->
        <li>Txuletoia</li> <!-- Zerrendaren elementua-->
        <li>Patata tortila</li>
        <li>Gazta tarta</li>
      </ul>
    </section>

    <section id="achievements"> <!-- Edukiaren bigarren atala. Nabigazioko 4. elementuan hona bidaliko gaitu. -->
      <h2>Lorpenak</h2>
      <!-- progress bar ezberdinak: -->
      <p>Lehen Hezkuntza (100%) <progress value="0.25"></progress></p> <!-- kasu honetan, max-ik ez dugunez definitu, 0.25 balio maximo moduan jarriko du. -->
      <!-- Azpiko kasuak ehunekotan jarri ditzakegu, max=100 jarrita -->
      <p>Unibertsitatean <span>(100%)</span> <progress value="100" max="100"></progress></p>
      <p>Bizi-helburuak <span>(80%)</span> <progress value="80" max="100"></progress></p>
    </section>

    <section> <!-- Edukiaren hirugarren atala -->
      <h2>Niri buruz</h2>
      <p><!-- Begira nola lerro jauziak eta espazioak ez diren kontutan hartzen -->
        Durangon (Bizkaia) hazi nintzen. Ingeniaritza informatikoa ikasi nuen Mondragon Unibertsitatean,
        2016. urtean amaitu nuen doktoretza.
        Orain Mondragon Unibertsitateko irakaslea eta ikertzailea naiz, eta web-ingeniaritza irakasten ari naiz (HTML,
        CSS, JS,
        JavaEE) eta softwarearen arkitektura aurreratuak (Mikrozerbitzuak).
      </p>
    </section>

    <section> <!-- Edukiaren laugarren atala -->
      <h2>Taula atala</h2> 
      <table> <!-- Taularen hasiera -->
        <thead> <!-- Taularen goiburua, oraingoan lerro bakarrarekin, baina gehiago izan zitezkeen -->
          <tr> <!-- Taularen lerroa-->
            <th>Column 1</th> <!-- Taularen goiburu zutabea-->
            <th>Column 2</th>
            <th>Column 3</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Cell 1-1</td><!-- Taularen zutabe "normala". TH izan zitekeen ere lehenengo zutabea zutabearen titulua izango balitz adibidez. -->
            <td>Cell 1-2</td>
            <td>Cell 1-3</td>
          </tr>
          <tr>
            <td>Cell 2-1</td>
            <td>Cell 2-2</td>
            <td>Cell 2-3</td>
          </tr>
          <tr>
            <td>Cell 3-1</td>
            <td>Cell 3-2</td>
            <td>Cell 3-3</td>
          </tr>
        </tbody>
      </table>
    </section>

    <section id="contact-me"><!-- Edukiaren bostgarren atala -->
      <h2>Harremanetan jarri (ez du emaila bidali behar)</h2>
      <form action="#" method="get"> <!-- HTML formulategia. Action=nora bidaliko den informazio edo ze programak prozesatuko duen informazioa. Method=http eskaera mota (get/post)-->
        <label>
          Gaia:<br>
          <input placeholder="Idatzi mezuaren gaia" type="text" name="gaia" required> <!-- formulategiaren elementua. Type=elementu mota(textua, emaila, kolorea, botoia, etc.)-->
        </label><br>
        <label>
          Mezua:<br>
          <textarea placeholder="Mezua idatzi" name="mezua" cols="50" rows="5" required></textarea>
        </label><br>
        <button value="bidalita" type="submit" name="bidali">Bidali mezua</button> <!-- botoia type=submit datuak bidaltzeko)-->
      </form>
    </section>
  </main>
  <footer> <!-- Orriaren oina (footer)-->
    <p>
      Mondragon Unibertsitatean  sortutako orri bat da hau, 
      <span>Zure izena</span> eta Alain Perez Riañok sortuta HTML oinarriak ikasteko.
    </p>
    <!-- Irudi bat sartu eta ezin bada, alt propietatean dagoen testua marraztu -->
    <img src="https://picsum.photos/id/237/512/256.webp?blur=2&grayscale" alt="Random image logo">
  </footer>
</body>

</html>